Create database user
curl --request POST \
--url https://api.falkordb.cloud/v1/customer-ldap/instances/{instanceId}/users \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"password": "<string>",
"acl": "<string>"
}
'import requests
url = "https://api.falkordb.cloud/v1/customer-ldap/instances/{instanceId}/users"
payload = {
"username": "<string>",
"password": "<string>",
"acl": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({username: '<string>', password: '<string>', acl: '<string>'})
};
fetch('https://api.falkordb.cloud/v1/customer-ldap/instances/{instanceId}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}Database users
Create database user
Add a database user to a deployment instance.
POST
/
v1
/
customer-ldap
/
instances
/
{instanceId}
/
users
Create database user
Creates a database user with a password and an ACL.
This endpoint uses the FalkorDB API host and bearer token authentication. See Database users overview.
Authorization
Path parameters
string
required
ID of the deployment instance.
Query parameters
string
required
Subscription that owns the instance.
Body
string
required
Username for the new database user.
string
required
Password for the new database user.
string
required
ACL string. See ACL format.
Request
{
"username": "analytics",
"password": "REDACTED",
"acl": "~* +GRAPH.RO_QUERY +GRAPH.EXPLAIN +GRAPH.INFO +GRAPH.LIST +INFO +PING"
}
Response
string
Confirmation message.
Errors
Returns401 Unauthorized when the bearer token is missing or expired, and 400 Bad Request when the ACL contains a command that is not allowed.⌘I